#!/bin/bash
# S'exercer avec la commande 'date'

echo "Le nombre de jours écoulés depuis le début de l'année `date +%j`."
# On a besoin d'un '+' au début pour demander un formatage correct.
# %j donne le jour de l'année.

echo "Le nombre de secondes écoulées depuis 01/01/1970 est `date +%s`."
#  %s affiche le nombre de secondes écoulées depuis le début de l'époque UNIX,
#+ mais quelle est son utilité ?

prefixe=temp
suffixe=$(date +%s)  # L'option "+%s" de 'date' est spécifique à GNU.
nomfichier=$prefixe.$suffixe
echo $nomfichier
#  C'est intéressant pour créer des noms de fichiers temporaires "uniques",
#+ voire mieux que d'utiliser $$.

#  Voir la page de manuel de 'date' pour plus d'informations sur ses
#+ possibilités de présentation.

exit 0
